package com.example.livingai.domain.usecases

import com.example.livingai.domain.model.AnimalDetails
import com.example.livingai.domain.repository.business.AnimalDetailsRepository

class SetAnimalDetails(
    private val animalDetailsRepository: AnimalDetailsRepository
) {
    suspend operator fun invoke(animalDetails: AnimalDetails) {
        animalDetailsRepository.saveAnimalDetails(animalDetails)
    }
}
